﻿-- Author      : RisM
-- Create Date : 5/21/2009 11:46:36 PM

-- Korean localization file for koKR.
local AceLocale = LibStub:GetLibrary("AceLocale-3.0")
local DEFAULT_SPEECHES = AceLocale:NewLocale("SpeakinSpell_DEFAULT_SPEECHES", "koKR", false)
if not DEFAULT_SPEECHES then return end

-------------------------------------------------------------------------------
-- ADVERTISEMENTS for /ss ad
-------------------------------------------------------------------------------


DEFAULT_SPEECHES.ADVERTISEMENTS = {
	[[SpeakinSpell은 여러분이 마법을 사용하거나 버프 및 디버프를 받았을 경우 외부에 자동으로 알릴 수 있는 애드온입니다.]]
}

-------------------------------------------------------------------------------
-- DEFAULT SETTINGS FOR NEW SPELLS
-------------------------------------------------------------------------------


DEFAULT_SPEECHES.NEWSPELL = {
	[1] = "[<시전자>]님께서 [<대상>]에게 <마법링크> 시전하셨습니다. ",
	[1] = "[<시전자|나>]님께서 [<대상|자신>]에게 <마법링크>를 시전하셨습니다.",
	[2] = "나는 [<플레이어>] 입니다. [<시전자>]은/는 [<대상종족>] [<대상직업>] [<대상|나>]에게 [<마법이름>]을/를 시전하고있습니다.(<마법링크>) ,그리고 나는 내옆에 내 소환수, [<소환수>]이/가 있습니다.",
}

-------------------------------------------------------------------------------
-- DEFAULT MESSAGE SETTINGS PER CLASS
-------------------------------------------------------------------------------
-- Translate random messages and spell names ONLY
-- Do not translate class names.
--		The UnitClass("player") API returns class names in capitalized english
-- Do not translate channel names.
--		The SendChatMessage API	requires uppercase english channel names, i.e. "SAY" etc
-- Ideally there should be at least 3 spells per class
-- and at least 10 messages per spell to keep it from getting repetitive

DEFAULT_SPEECHES.CLASSES = {
["HUNTER"] = {
	["UNIT_SPELLCAST_SENT야수 부르기"] = {
		["DisableAnnouncements"] = false,
		["Messages"] = {
			"Heeere fido! Here boy! Come!", -- [1]
			"Don't worry, he's friendly", -- [2]
			"OK my pet's out now, so either he'll tank for us, or randomly pull aggro from a dozen mobs, we'll see...", -- [3]
		},
		["Channels"] = {
			["Raid"] = "SAY",
			["Solo"] = "SAY",
			["Party"] = "SAY",
		},
		["DetectedEvent"] = {
			["type"] = "UNIT_SPELLCAST_SENT",
			["name"] = "야수 부르기",
			["rank"] = "",
		},
		["WhisperTarget"] = false,
		["Cooldown"] = 0,
		["Frequency"] = 1,
	},
	["UNIT_SPELLCAST_SENTBESTIAL_WRATH"] = {
		["DisableAnnouncements"] = false,
		["Messages"] = {
			"YEARRGH! Feel the wrath of <pet>!", -- [1]
			"Sick 'em, <pet>!", -- [2]
			"<pet> kill! <pet> kill!", -- [3]
		},
		["Channels"] = {
			["Solo"] = "SAY",
			["Party"] = "SAY",
		},
		["DetectedEvent"] = {
			["type"] = "UNIT_SPELLCAST_SENT",
			["name"] = "Bestial Wrath",
			["rank"] = "",
		},
		["WhisperTarget"] = false,
		["Cooldown"] = 0,
		["Frequency"] = 1,
	},
	["UNIT_SPELLCAST_SENTMISDIRECT"] = {
		["DisableAnnouncements"] = false,
		["Messages"] = {
			"No, no, go for <target>, he's the one biting your ankles!", -- [1]
			"<target> insulted your mother, you gonna take that??", -- [2]
			"<target> did it!", -- [3]
		},
		["Channels"] = {
			["Raid"] = "RAID",
			["Solo"] = "SAY",
			["Party"] = "PARTY",
		},
		["DetectedEvent"] = {
			["type"] = "UNIT_SPELLCAST_SENT",
			["name"] = "Misdirect",
			["rank"] = "",
		},
		["WhisperTarget"] = false,
		["Cooldown"] = 0,
		["Frequency"] = 1,
	},
	["UNIT_SPELLCAST_SENT죽은척하기"] = {
		["DisableAnnouncements"] = false,
		["Messages"] = {
			"I'm not quite dead yet", -- [1]
			"Look ma, no health bar!", -- [2]
			"Darn, I'm dead. No really!", -- [3]
			"Repair costs? What's that? I'm a hunter!", -- [4]
		},
		["Channels"] = {
			["Solo"] = "SAY",
			["Party"] = "PARTY",
		},
		["DetectedEvent"] = {
			["type"] = "UNIT_SPELLCAST_SENT",
			["name"] = "죽은척하기",
			["rank"] = "",
		},
		["WhisperTarget"] = false,
		["Cooldown"] = 0,
		["Frequency"] = 1,
	},
},
["WARRIOR"] = {
	["UNIT_SPELLCAST_SENTCHARGE"] = {
		["DisableAnnouncements"] = false,
		["Messages"] = {
			"CHARGE!!!", -- [1]
			"Vroom Vroom!", -- [2]
		},
		["Channels"] = {
			["Solo"] = "SAY",
			["Party"] = "SAY",
		},
		["DetectedEvent"] = {
			["type"] = "UNIT_SPELLCAST_SENT",
			["name"] = "Charge",
			["rank"] = "",
		},
		["WhisperTarget"] = false,
		["Cooldown"] = 0,
		["Frequency"] = 1,
	},
	["UNIT_SPELLCAST_SENTSHIELD_WALL"] = {
		["DisableAnnouncements"] = false,
		["Messages"] = {
			"raises a shield", -- [1]
			"hides behind a shield", -- [2]
			"cowers behind a shield", -- [3]
			"raises a shield and cries NOT IN THE FACE! NOT IN THE FACE!", -- [4]
		},
		["Channels"] = {
			["Raid"] = "EMOTE",
			["Solo"] = "EMOTE",
			["Party"] = "EMOTE",
		},
		["DetectedEvent"] = {
			["type"] = "UNIT_SPELLCAST_SENT",
			["name"] = "Shield Wall",
			["rank"] = "",
		},
		["WhisperTarget"] = false,
		["Cooldown"] = 0,
		["Frequency"] = 1,
	},
	["UNIT_SPELLCAST_SENTDEMORALIZING_SHOUT"] = {
		["DisableAnnouncements"] = false,
		["Messages"] = {
			"RAWR! You're sad now!", -- [1]
			"You're GF likes me better! Ha!", -- [2]
		},
		["Channels"] = {
			["Solo"] = "SAY",
			["Party"] = "SAY",
		},
		["DetectedEvent"] = {
			["type"] = "UNIT_SPELLCAST_SENT",
			["name"] = "Demoralizing Shout",
			["rank"] = "",
		},
		["WhisperTarget"] = false,
		["Cooldown"] = 0,
		["Frequency"] = 1,
	},
	["UNIT_SPELLCAST_SENTTAUNT"] = {
		["DisableAnnouncements"] = false,
		["Messages"] = {
			"Get out of my sight you english kenniggits, or I shall be forced to taunt you a second time!", -- [1]
			"Your mother was a hamster and your father smelt of elderberries!", -- [2]
			"You hit like a small child!", -- [3]
			"You hit like a girl!", -- [4]
			"The fight is over here, coward!", -- [5]
			"Ni! Ni!", -- [6]
		},
		["Channels"] = {
			["Solo"] = "SAY",
			["Party"] = "SAY",
		},
		["DetectedEvent"] = {
			["type"] = "UNIT_SPELLCAST_SENT",
			["name"] = "Taunt",
			["rank"] = "",
		},
		["WhisperTarget"] = false,
		["Cooldown"] = 60,
		["Frequency"] = 1,
	},
},
["PALADIN"] = {
	["UNIT_SPELLCAST_SENTBLESSING_OF_PROTECTION"] = {
		["DisableAnnouncements"] = false,
		["Messages"] = {
			"You've got 10 seconds of bubble, <target>, bandage now if you got them!", -- [1]
		},
		["Channels"] = {
			["Raid"] = "RAID",
			["Solo"] = "SAY",
			["Party"] = "PARTY",
		},
		["DetectedEvent"] = {
			["type"] = "UNIT_SPELLCAST_SENT",
			["name"] = "Blessing Of Protection",
			["rank"] = "",
		},
		["WhisperTarget"] = true,
		["Cooldown"] = 0,
		["Frequency"] = 1,
	},
	["UNIT_SPELLCAST_SENTHAND_OF_SALVATION"] = {
		["DisableAnnouncements"] = false,
		["Messages"] = {
			"rubs down <target> releasing some of the threat.", -- [1]
			"slaps <target> with the backhand of salvation.", -- [2]
		},
		["Channels"] = {
			["Raid"] = "EMOTE",
			["Solo"] = "EMOTE",
			["Party"] = "EMOTE",
		},
		["DetectedEvent"] = {
			["type"] = "UNIT_SPELLCAST_SENT",
			["name"] = "Hand Of Salvation",
			["rank"] = "",
		},
		["WhisperTarget"] = true,
		["Cooldown"] = 0,
		["Frequency"] = 1,
	},
	["UNIT_SPELLCAST_SENTDIVINE_PLEA"] = {
		["DisableAnnouncements"] = false,
		["Messages"] = {
			"Please Light, Don't let me go OOM. If the tank dies again I'm getting gkicked.", -- [1]
		},
		["Channels"] = {
			["Solo"] = "SAY",
			["Party"] = "PARTY",
		},
		["DetectedEvent"] = {
			["type"] = "UNIT_SPELLCAST_SENT",
			["name"] = "Divine Plea",
			["rank"] = "",
		},
		["WhisperTarget"] = true,
		["Cooldown"] = 0,
		["Frequency"] = 1,
	},
	["UNIT_SPELLCAST_SENTREDEMPTION"] = {
		["DisableAnnouncements"] = false,
		["Messages"] = {
			"Rezzing <target>", -- [1]
			"<target>, don't go into the light, return to the land of the living!", -- [2]
			"Rise, <target>, and live again!", -- [3]
			"Get yer lazy bones up, <target>!", -- [4]
			"The hand of God reaches down and brings <target> back to life", -- [5]
			"Granddaddy always said laughter was the best medicine. I guess it wasn't strong enough to keep <target> alive.", -- [6]
			"Arise <target>, and fear death no more; or at least until the next pull.", -- [7]
			"Bring out your dead! *throws <target> on the cart*", -- [8]
			"<target>, quit hitting on the Spirit Healer and come kill something!", -- [9]
			"YAY! I always wanted my very own <target>-zombie!", -- [10]
			"It just so happens that <target> is only MOSTLY dead. There's a big difference between mostly dead and all dead. Mostly dead is slightly alive.", -- [11]
			"<target> has failed at life, I'm giving him a second chance. That's right, not God, ME!!", -- [12]
			"Cool, I received 42 silver, 32 copper from the Corpse of <target>", -- [13]
			"<target>, this better not be another attempt to get me to give you mouth-to-mouth.", -- [14]
			"<target>, it's more mana efficient just to resurrect you.  Haha, I'm just kidding!", -- [15]
			"Well, <target>, if you had higher faction with <player>, you might have gotten a heal. How do you raise it? 1g donation = 15 rep.", -- [16]
			"<target>, by accepting this resurrection you hereby accept that you must forfeit your immortal soul to <player>. Please click 'Accept' to continue.", -- [17]
			"Folks, what we have here is a prime example of why <target> shouldn't tank.", -- [18]
			"Don't rush me <target>. You rush a miracle worker, you get rotten miracles.", -- [19]
			"Death comes for you <target>! With large, pointy teeth!", -- [20]
			"Resurrecting <target>. Side effects may include: nausea, explosive bowels, a craving for brains, and erectile dysfunction. Resurrection is not for everyone. Please consult a healer before dying.", -- [21]
			"Dammit <target>, I'm a doctor! Not a priest! ... Wait a second ... nevermind. Ressing <target>", -- [22]
			"... death defying feats are clearly not your strong point, <target>", -- [23]
			"Giving <target> another chance to noob it up. ", -- [24]
			"Hey <target>, can you check to see if Elvis is really dead? ... and can he fill your spot in the party?", -- [25]
			"<target> I *warned* you, but did you listen to me? Oh, no, you *knew*, didn't you? Oh, it's just a harmless little *bunny*, isn't it?", -- [26]
			"Tsk tsk, <target>. See, I told you to sacrifice that virgin to the Volcano God.", -- [27]
			"You don't deserve a cute rez macro, <target>. You deserve to die. But you already did, so, um... yeah.", -- [28]
			"Sorry <target>, I couldn't heal you. I was too busy being the tank.", -- [29]
			"Did it hurt, <target>, when you fell from Heaven? Oh, wait. You're dead. I don't know where I was going with that. Nevermind.", -- [30]
		},
		["Channels"] = {
			["Party"] = "PARTY",
			["Raid"] = "RAID",
			["Solo"] = "SAY",
			["BG"] = "BATTLEGROUND",
		},
		["DetectedEvent"] = {
			["type"] = "UNIT_SPELLCAST_SENT",
			["name"] = "Redemption",
			["rank"] = "",
		},
		["WhisperTarget"] = true,
		["Cooldown"] = 0,
		["Frequency"] = 1,
	},
	["UNIT_SPELLCAST_SENTDIVINE_INTERVENTION"] = {
		["DisableAnnouncements"] = false,
		["Messages"] = {
			"It's a wipe! <target> has a DI.", -- [1]
			"DI is short for DIE in a good place, somewhere <target> will be able to rez you.", -- [2]
			"I, I just died in your arms tonight. Must've been something I said...", -- [3]
		},
		["Channels"] = {
			["Party"] = "PARTY",
			["Raid"] = "RAID",
			["Solo"] = "SAY",
			["BG"] = "BATTLEGROUND",
		},
		["DetectedEvent"] = {
			["type"] = "UNIT_SPELLCAST_SENT",
			["name"] = "Divine Intervention",
			["rank"] = "",
		},
		["WhisperTarget"] = true,
		["Cooldown"] = 0,
		["Frequency"] = 1,
	},
	["UNIT_SPELLCAST_SENTLAY_ON_HANDS"] = {
		["DisableAnnouncements"] = false,
		["Messages"] = {
			"I don't want anybody else, when I think about you, I touch your self", -- [1]
			"Don't ask me how I laid my hands on you from way over here, but I just did", -- [2]
			"OH SHlT, OH SHlT, OH SHlT... HA! Fooled ya! :P", -- [3]
		},
		["Channels"] = {
			["Raid"] = "SAY",
			["Solo"] = "SAY",
			["Party"] = "SAY",
		},
		["DetectedEvent"] = {
			["type"] = "UNIT_SPELLCAST_SENT",
			["name"] = "Lay On Hands",
			["rank"] = "",
		},
		["WhisperTarget"] = true,
		["Cooldown"] = 0,
		["Frequency"] = 1,
	},
	["UNIT_SPELLCAST_SENTEXORCISM"] = {
		["DisableAnnouncements"] = false,
		["Messages"] = {
			"The power of CHRIST compels you!", -- [1]
		},
		["Channels"] = {
			["Solo"] = "SAY",
			["Party"] = "SAY",
		},
		["DetectedEvent"] = {
			["type"] = "UNIT_SPELLCAST_SENT",
			["name"] = "Exorcism",
			["rank"] = "",
		},
		["WhisperTarget"] = true,
		["Cooldown"] = 120,
		["Frequency"] = 1,
	},
	["UNIT_SPELLCAST_SENTDIVINE_FAVOR"] = {
		["DisableAnnouncements"] = false,
		["Messages"] = {
			"Dear Lord, I need a favor", -- [1]
			"Dear Lord, remember that one time I went to church back in '83? I need you to return the favor", -- [2]
			"I pity the fool who don't respect the light!", -- [3]
		},
		["Channels"] = {
			["Solo"] = "SAY",
			["Party"] = "SAY",
		},
		["DetectedEvent"] = {
			["type"] = "UNIT_SPELLCAST_SENT",
			["name"] = "Divine Favor",
			["rank"] = "",
		},
		["WhisperTarget"] = true,
		["Cooldown"] = 0,
		["Frequency"] = 1,
	},
},
["MAGE"] = {
	["UNIT_SPELLCAST_SENTRITUAL_OF_REFRESHMENTRANK_2"] = {
		["DisableAnnouncements"] = false,
		["Messages"] = {
			"Ritual of Refreshment is being placed near <player> please click to assist", -- [1]
			"C1ick 4 t@b1e", -- [2]
			"Magic Biscuits, Brownies, and Goo-balls $5. CDs $10. T-shirts $15. Enjoy the concert!", -- [3]
			"<player>'s Tasty Strudel<TM> - WARNING: may cause nauseu, loss of appetite, blindness, fear, stunlock, or spontaneous transmutation into a sheep, pig, or turtle. Consult your doctor before eating <player>'s Tasty Strudel<TM>", -- [4]
			"<player>'s Tasty Strudel<TM> - Now with 30% more Flavor Power!", -- [5]
			"<player>'s Tasty Strudel<TM> - Try all new Organic <player>'s Tasty Strudel<TM>! Now in Teriaki Tofu Flavor!", -- [6]
			"<player>'s Tasty Strudel<TM> - It's Strudeltastic<TM>!!", -- [7]
			"<player>'s Tasty Strudel<TM> - Now with +35 Stamina Buff!! (also-gives-minus-thirty-five-stamina-debuff-no-actual-buff-may-be-visible-consult-your-doctor-before-eating <player>'s Tasty Strudel<TM>)", -- [8]
			"<player>'s Tasty Strudel<TM> - The Official Cereal of Beauty and the Beast VII: Beauty in Azeroth (sings) Be... a... pest! Be a pest! Put my patience to the test! RENT IT TODAY!", -- [9]
			"SHOWTIME: the feed-trough has been planted! Go on my dear piggies, grab and grunt for the win!", -- [10]
		},
		["Channels"] = {
			["Party"] = "SAY",
			["Solo"] = "SAY",
			["Raid"] = "SAY",
			["BG"] = "SAY",
			["Arena"] = "PARTY",
		},
		["DetectedEvent"] = {
			["type"] = "UNIT_SPELLCAST_SENT",
			["name"] = "Ritual of Refreshment",
			["rank"] = "Rank 2",
		},
		["WhisperTarget"] = false,
		["Cooldown"] = 0,
		["Frequency"] = 1,
	},
	["UNIT_SPELLCAST_SENTPORTAL:_IRONFORGE"] = {
		["DisableAnnouncements"] = false,
		["Messages"] = {
			"Entering this portal will take you to a far away city.", -- [1]
			"Why go to Ironforge when we can summon Ironforge to us? Click to summon the city.", -- [2]
			"Ironforge? Really? Why would you want to go there? Honestly, do you know who LIVES there??", -- [3]
			"Focus <player>, they want to go to Ironforge, not the middle of the ocean, Ironforge...", -- [4]
			"DISCLAIMER: I got my portal license off the AH. Use at your own risk.", -- [5]
			"... Chevron six encoded... Chevron seven LOCKED!", -- [6]
			"Here's your portal. That'll be 2500g please. Hey the reagent isn't cheap... oh wait, yes it is, nevermind.", -- [7]
			"Next stop: Ironforge. Home to all things great and small.", -- [8]
			"Hi ho, Hi ho, it's off to Ironforge we go!", -- [9]
			"Hurry up and go through the portal. The last person who waited too long lost his arm as it closed.", -- [10]
		},
		["Channels"] = {
			["Raid"] = "RAID",
			["Solo"] = "SAY",
			["Party"] = "PARTY",
		},
		["DetectedEvent"] = {
			["type"] = "UNIT_SPELLCAST_SENT",
			["name"] = "Portal: Ironforge",
			["rank"] = "",
		},
		["WhisperTarget"] = false,
		["Cooldown"] = 0,
		["Frequency"] = 1,
	},
	["UNIT_SPELLCAST_SENTINVISIBILITY"] = {
		["DisableAnnouncements"] = false,
		["Messages"] = {
			"Now you see me, soon you won't", -- [1]
			"If you can't see me, you can't hit me", -- [2]
			"Repair costs? What's that? I'm a mage", -- [3]
			"I have but one spell remaining that I have prepared for the day... sorry", -- [4]
		},
		["Channels"] = {
			["Solo"] = "SAY",
			["Party"] = "SAY",
		},
		["DetectedEvent"] = {
			["type"] = "UNIT_SPELLCAST_SENT",
			["name"] = "Invisibility",
			["rank"] = "",
		},
		["WhisperTarget"] = false,
		["Cooldown"] = 0,
		["Frequency"] = 1,
	},
	["UNIT_SPELLCAST_SENTPORTAL:_EXODAR"] = {
		["DisableAnnouncements"] = false,
		["Channels"] = {
			["Raid"] = "RAID",
			["Solo"] = "SAY",
			["Party"] = "PARTY",
		},
		["Messages"] = {
			"Entering this portal will take you to a far away city.", -- [1]
			"Why go to Exodar when we can summon Exodar to us? Click to summon the city.", -- [2]
			"Exodar? Really? Why would you want to go there? Honestly, do you know who LIVES there??", -- [3]
			"Focus <player>, they want to go to Exodar, not the middle of the ocean, Exodar...", -- [4]
			"DISCLAIMER: I got my portal license off the AH. Use at your own risk.", -- [5]
			"... Chevron six encoded... Chevron seven LOCKED!", -- [6]
			"Here's your portal. That'll be 2500g please. Hey the reagent isn't cheap... oh wait, yes it is, nevermind.", -- [7]
			"Entering this portal will take you to the ends of the earth... I mean Exodar.", -- [8]
			"Ah yes, the Exodar... How did they crash into a PLANET??  That's what I want to know", -- [9]
			"Opening a portal to the Exodar: the crashed spaceship that is the perfect example of why NOT to alt-tab while on auto-run", -- [10]
			"Hurry up and go through the portal. The last person who waited too long lost his arm as it closed.", -- [11]
		},
		["Faction"] = "Alliance",
		["DetectedEvent"] = {
			["type"] = "UNIT_SPELLCAST_SENT",
			["name"] = "Portal: Exodar",
			["rank"] = "",
		},
		["WhisperTarget"] = false,
		["Cooldown"] = 0,
		["Frequency"] = 1,
	},
	["UNIT_SPELLCAST_SENTPORTAL:_ORGRIMMAR"] = {
		["DisableAnnouncements"] = false,
		["Channels"] = {
			["Raid"] = "RAID",
			["Solo"] = "SAY",
			["Party"] = "PARTY",
		},
		["Messages"] = {
			"Entering this portal will take you to a far away city.", -- [1]
			"Why go to Orgrimmar when we can summon Orgrimmar to us? Click to summon the city.", -- [2]
			"Orgrimmar? Really? Why would you want to go there? Honestly, do you know who LIVES there??", -- [3]
			"Focus <player>, they want to go to Orgrimmar, not the middle of the ocean, Orgrimmar...", -- [4]
			"DISCLAIMER: I got my portal license off the AH. Use at your own risk.", -- [5]
			"... Chevron six encoded... Chevron seven LOCKED!", -- [6]
			"Here's your portal. That'll be 2500g please. Hey the reagent isn't cheap... oh wait, yes it is, nevermind.", -- [7]
			"WARNING: you might want to plug your nose before entering this portal. It smells like Orc where you're going.", -- [8]
			"Hurry up and go through the portal. The last person who waited too long lost his arm as it closed.", -- [9]
		},
		["Faction"] = "Horde",
		["DetectedEvent"] = {
			["type"] = "UNIT_SPELLCAST_SENT",
			["name"] = "Portal: Orgrimmar",
			["rank"] = "",
		},
		["WhisperTarget"] = false,
		["Cooldown"] = 0,
		["Frequency"] = 1,
	},
	["UNIT_SPELLCAST_SENTPORTAL:_SILVERMOON"] = {
		["DisableAnnouncements"] = false,
		["Channels"] = {
			["Raid"] = "RAID",
			["Solo"] = "SAY",
			["Party"] = "PARTY",
		},
		["Messages"] = {
			"Entering this portal will take you to a far away city.", -- [1]
			"Why go to Silvermoon when we can summon Silvermoon to us? Click to summon the city.", -- [2]
			"Silvermoon? Really? Why would you want to go there? Honestly, do you know who LIVES there??", -- [3]
			"Focus <player>, they want to go to Silvermoon, not the middle of the ocean, Silvermoon...", -- [4]
			"DISCLAIMER: I got my portal license off the AH. Use at your own risk.", -- [5]
			"... Chevron six encoded... Chevron seven LOCKED!", -- [6]
			"Here's your portal. That'll be 2500g please. Hey the reagent isn't cheap... oh wait, yes it is, nevermind.", -- [7]
			"Next stop: Silvermoon, where mailboxes outnumber even the blood elves", -- [8]
			"Hurry up and go through the portal. The last person who waited too long lost his arm as it closed.", -- [9]
		},
		["Faction"] = "Horde",
		["DetectedEvent"] = {
			["type"] = "UNIT_SPELLCAST_SENT",
			["name"] = "Portal: Silvermoon",
			["rank"] = "",
		},
		["WhisperTarget"] = false,
		["Cooldown"] = 0,
		["Frequency"] = 1,
	},
	["UNIT_SPELLCAST_SENTRITUAL_OF_REFRESHMENTRANK_1"] = {
		["DisableAnnouncements"] = false,
		["Messages"] = {
			"Ritual of Refreshment is being placed near <player> please click to assist", -- [1]
			"C1ick 4 t@b1e", -- [2]
			"Magic Biscuits, Brownies, and Goo-balls $5. CDs $10. T-shirts $15. Enjoy the concert!", -- [3]
			"<player>'s Magical Biscuits<TM> - WARNING: may cause nauseu, loss of appetite, blindness, fear, stunlock, or spontaneous transmutation into a sheep, pig, or turtle. Consult your doctor before eating <player>'s Magical Biscuits<TM>", -- [4]
			"<player>'s Magical Biscuits<TM> - Now with 30% more Flavor Power!", -- [5]
			"<player>'s Magical Biscuits<TM> - Try all new Organic <player>'s Magical Biscuits<TM>! Now in Teriaki Tofu Flavor!", -- [6]
			"<player>'s Magical Biscuits<TM> - It's Mannabiscuitalisious<TM>!!", -- [7]
			"<player>'s Magical Biscuits<TM> - Now with +35 Stamina Buff!! (also-gives-minus-thirty-five-stamina-debuff-no-actual-buff-may-be-visible-consult-your-doctor-before-eating <player>'s Magical Biscuits<TM>)", -- [8]
			"<player>'s Magical Biscuits<TM> - The Official Cereal of Beauty and the Beast VII: Beauty in Azeroth (sings) Be... a... pest! Be a pest! Put my patience to the test! RENT IT TODAY!", -- [9]
			"SHOWTIME: the feed-trough has been planted! Go on my dear piggies, grab and grunt for the win!", -- [10]
		},
		["Channels"] = {
			["Party"] = "SAY",
			["Solo"] = "SAY",
			["Raid"] = "SAY",
			["BG"] = "SAY",
			["Arena"] = "PARTY",
		},
		["DetectedEvent"] = {
			["type"] = "UNIT_SPELLCAST_SENT",
			["name"] = "Ritual of Refreshment",
			["rank"] = "Rank 1",
		},
		["WhisperTarget"] = false,
		["Cooldown"] = 0,
		["Frequency"] = 1,
	},
	["UNIT_SPELLCAST_SENTPORTAL:_UNDERCITY"] = {
		["DisableAnnouncements"] = false,
		["Channels"] = {
			["Raid"] = "RAID",
			["Solo"] = "SAY",
			["Party"] = "PARTY",
		},
		["Messages"] = {
			"Entering this portal will take you to a far away city.", -- [1]
			"Why go to Undercity when we can summon Undercity to us? Click to summon the city.", -- [2]
			"Undercity? Really? Why would you want to go there? Honestly, do you know who LIVES there??", -- [3]
			"Focus <player>, they want to go to Undercity, not the middle of the ocean, Undercity...", -- [4]
			"DISCLAIMER: I got my portal license off the AH. Use at your own risk.", -- [5]
			"... Chevron six encoded... Chevron seven LOCKED!", -- [6]
			"Here's your portal. That'll be 2500g please. Hey the reagent isn't cheap... oh wait, yes it is, nevermind.", -- [7]
			"Opening a portal to Sewerville", -- [8]
			"Which part of Undercity do you think smells better?  The sewage or the rotting flesh?", -- [9]
			"Hurry up and go through the portal. The last person who waited too long lost his arm as it closed.", -- [10]
		},
		["Faction"] = "Horde",
		["DetectedEvent"] = {
			["type"] = "UNIT_SPELLCAST_SENT",
			["name"] = "Portal: Undercity",
			["rank"] = "",
		},
		["WhisperTarget"] = false,
		["Cooldown"] = 0,
		["Frequency"] = 1,
	},
	["UNIT_SPELLCAST_SENTPORTAL:_THERAMORE"] = {
		["DisableAnnouncements"] = false,
		["Channels"] = {
			["Raid"] = "RAID",
			["Solo"] = "SAY",
			["Party"] = "PARTY",
		},
		["Messages"] = {
			"Entering this portal will take you to a far away city.", -- [1]
			"Why go to Theramore when we can summon Theramore to us? Click to summon the city.", -- [2]
			"Theramore? Really? Why would you want to go there? Honestly, do you know who LIVES there??", -- [3]
			"Focus <player>, they want to go to Theramore, not the middle of the ocean, Theramore...", -- [4]
			"DISCLAIMER: I got my portal license off the AH. Use at your own risk.", -- [5]
			"... Chevron six encoded... Chevron seven LOCKED!", -- [6]
			"Here's your portal. That'll be 2500g please. Hey the reagent isn't cheap... oh wait, yes it is, nevermind.", -- [7]
			"Tell Jaina I said \"hi\"", -- [8]
			"Hurry up and go through the portal. The last person who waited too long lost his arm as it closed.", -- [9]
			"Please tell Jaina I'm sorry about what happened last night... I didn't wanted it to end that way *sigh*... I guess inviting the Tauren to join us was a bad idea after all.", -- [10]
		},
		["Faction"] = "Alliance",
		["DetectedEvent"] = {
			["type"] = "UNIT_SPELLCAST_SENT",
			["name"] = "Portal: Theramore",
			["rank"] = "",
		},
		["WhisperTarget"] = false,
		["Cooldown"] = 0,
		["Frequency"] = 1,
	},
	["UNIT_SPELLCAST_SENTPORTAL:_STORMWIND"] = {
		["DisableAnnouncements"] = false,
		["Channels"] = {
			["Raid"] = "RAID",
			["Solo"] = "SAY",
			["Party"] = "PARTY",
		},
		["Messages"] = {
			"Entering this portal will take you to a far away city.", -- [1]
			"Why go to Stormwind when we can summon Stormwind to us? Click to summon the city.", -- [2]
			"Stormwind? Really? Why would you want to go there? Honestly, do you know who LIVES there??", -- [3]
			"Focus <player>, they want to go to Stormwind, not the middle of the ocean, Stormwind...", -- [4]
			"DISCLAIMER: I got my portal license off the AH. Use at your own risk.", -- [5]
			"... Chevron six encoded... Chevron seven LOCKED!", -- [6]
			"Here's your portal. That'll be 2500g please. Hey the reagent isn't cheap... oh wait, yes it is, nevermind.", -- [7]
			"Next stop: Stormwind. Watch your step, don't fall into the canals. The sharks might get you.", -- [8]
			"Why is it called Stormwind when there's never a storm or any wind there?", -- [9]
			"Why would you want to go to Stormwind? Don't you see enough Humans in real life?", -- [10]
			"Hurry up and go through the portal. The last person who waited too long lost his arm as it closed.", -- [11]
			"If you bring me Betsey's dollie, I will pay you one 5000g.", -- [12]
		},
		["Faction"] = "Alliance",
		["DetectedEvent"] = {
			["type"] = "UNIT_SPELLCAST_SENT",
			["name"] = "Portal: Stormwind",
			["rank"] = "",
		},
		["WhisperTarget"] = false,
		["Cooldown"] = 0,
		["Frequency"] = 1,
	},
	["UNIT_SPELLCAST_SENTPORTAL:_THUNDER_BLUFF"] = {
		["DisableAnnouncements"] = false,
		["Channels"] = {
			["Raid"] = "RAID",
			["Solo"] = "SAY",
			["Party"] = "PARTY",
		},
		["Messages"] = {
			"Entering this portal will take you to a far away city.", -- [1]
			"Why go to Ironforge when we can summon Ironforge to us? Click to summon the city.", -- [2]
			"Ironforge? Really? Why would you want to go there? Honestly, do you know who LIVES there??", -- [3]
			"Focus <player>, they want to go to Ironforge, not the middle of the ocean, Ironforge...", -- [4]
			"DISCLAIMER: I got my portal license off the AH. Use at your own risk.", -- [5]
			"... Chevron six encoded... Chevron seven LOCKED!", -- [6]
			"Here's your portal. That'll be 2500g please. Hey the reagent isn't cheap... oh wait, yes it is, nevermind.", -- [7]
			"Now entering Thunder Bluff, where no one can hear you scream, probably because there's nobody else there", -- [8]
			"Hurry up and go through the portal. The last person who waited too long lost his arm as it closed.", -- [9]
		},
		["Faction"] = "Horde",
		["DetectedEvent"] = {
			["type"] = "UNIT_SPELLCAST_SENT",
			["name"] = "Portal: Thunder Bluff",
			["rank"] = "",
		},
		["WhisperTarget"] = false,
		["Cooldown"] = 0,
		["Frequency"] = 1,
	},
	["UNIT_SPELLCAST_SENTPORTAL:_DARNASSUS"] = {
		["DisableAnnouncements"] = false,
		["Channels"] = {
			["Raid"] = "RAID",
			["Solo"] = "SAY",
			["Party"] = "PARTY",
		},
		["Messages"] = {
			"Entering this portal will take you to a far away city.", -- [1]
			"Why go to Darnassus when we can summon Darnassus to us? Click to summon the city.", -- [2]
			"Darnassus? Really? Why would you want to go there? Honestly, do you know who LIVES there??", -- [3]
			"Focus <player>, they want to go to Darnassus, not the middle of the ocean, Darnassus...", -- [4]
			"DISCLAIMER: I got my portal license off the AH. Use at your own risk.", -- [5]
			"... Chevron six encoded... Chevron seven LOCKED!", -- [6]
			"Here's your portal. That'll be 2500g please. Hey the reagent isn't cheap... oh wait, yes it is, nevermind.", -- [7]
			"Next stop: Darnassus, where you can hear the crickets.", -- [8]
			"Opening a portal to Darnassususs.. Darnsusas... Darna... uhh... Opening a portal to Darn", -- [9]
			"Hurry up and go through the portal. The last person who waited too long lost his arm as it closed.", -- [10]
			"Darn-your-asses, get your butt through the portal! Now!", -- [11]
			"... Heading to Darnassus to pick up girls, huh? Good luck with that", -- [12]
		},
		["Faction"] = "Alliance",
		["DetectedEvent"] = {
			["type"] = "UNIT_SPELLCAST_SENT",
			["name"] = "Portal: Darnassus",
			["rank"] = "",
		},
		["WhisperTarget"] = false,
		["Cooldown"] = 0,
		["Frequency"] = 1,
	},
	["UNIT_SPELLCAST_SENTSUMMON_WATER_ELEMENTAL"] = {
		["DisableAnnouncements"] = false,
		["Messages"] = {
			"Yes, I AM a God!", -- [1]
			"Let me introduce you to my little friend.", -- [2]
			"Water never tasted so good", -- [3]
			"Water: from the glass to the blast", -- [4]
		},
		["Channels"] = {
			["Solo"] = "SAY",
			["Party"] = "SAY",
		},
		["DetectedEvent"] = {
			["type"] = "UNIT_SPELLCAST_SENT",
			["name"] = "Summon Water Elemental",
			["rank"] = "",
		},
		["WhisperTarget"] = false,
		["Cooldown"] = 0,
		["Frequency"] = 1,
	},
	["UNIT_SPELLCAST_SENTPORTAL:_DALARAN"] = {
		["DisableAnnouncements"] = false,
		["Messages"] = {
			"Entering this portal will take you to a far away city.", -- [1]
			"Why go to Dalaran when we can summon Dalaran to us? Click to summon the city.", -- [2]
			"Dalaran? Really? Why would you want to go there? Honestly, do you know who LIVES there??", -- [3]
			"Focus <player>, they want to go to Dalaran, not the middle of the ocean, Dalaran...", -- [4]
			"DISCLAIMER: I got my portal license off the AH. Use at your own risk.", -- [5]
			"... Chevron six encoded... Chevron seven LOCKED!", -- [6]
			"Here's your portal. That'll be 2500g please. Hey the reagent isn't cheap... oh wait, yes it is, nevermind.", -- [7]
			"Dalaran: it's not just for mages anymore", -- [8]
			"WTS portal to Dalaran: 18,899g... yeah it's a little more expensive than usual, but c'mon, how else am I gonna buy that war mammoth?", -- [9]
			"Hurry up and go through the portal. The last person who waited too long lost his arm as it closed.", -- [10]
		},
		["Channels"] = {
			["Raid"] = "RAID",
			["Solo"] = "SAY",
			["Party"] = "PARTY",
		},
		["DetectedEvent"] = {
			["type"] = "UNIT_SPELLCAST_SENT",
			["name"] = "Portal: Dalaran",
			["rank"] = "",
		},
		["WhisperTarget"] = false,
		["Cooldown"] = 0,
		["Frequency"] = 1,
	},
	["UNIT_SPELLCAST_SENTPORTAL:_SHATTRATH"] = {
		["DisableAnnouncements"] = false,
		["Messages"] = {
			"Entering this portal will take you to a far away city.", -- [1]
			"Why go to Shattrath when we can summon Shattrath to us? Click to summon the city.", -- [2]
			"Shattrath? Really? Why would you want to go there? Honestly, do you know who LIVES there??", -- [3]
			"Focus <player>, they want to go to Shattrath, not the middle of the ocean, Shattrath...", -- [4]
			"DISCLAIMER: I got my portal license off the AH. Use at your own risk.", -- [5]
			"... Chevron six encoded... Chevron seven LOCKED!", -- [6]
			"Here's your portal. That'll be 2500g please. Hey the reagent isn't cheap... oh wait, yes it is, nevermind.", -- [7]
			"So people still visit Shattrath, huh?", -- [8]
			"Oh Shatt, it's a portal", -- [9]
			"Hurry up and go through the portal. The last person who waited too long lost his arm as it closed.", -- [10]
		},
		["Channels"] = {
			["Raid"] = "RAID",
			["Solo"] = "SAY",
			["Party"] = "PARTY",
		},
		["DetectedEvent"] = {
			["type"] = "UNIT_SPELLCAST_SENT",
			["name"] = "Portal: Shattrath",
			["rank"] = "",
		},
		["WhisperTarget"] = false,
		["Cooldown"] = 0,
		["Frequency"] = 1,
	},
	["UNIT_SPELLCAST_SENTMIRROR_IMAGE"] = {
		["DisableAnnouncements"] = false,
		["Messages"] = {
			"I'd like to introduce you to my cousin Darrel, and my other cousin Darrel, and my other cousin Darrel", -- [1]
			"In case of emergency, the mages are here, here, here, and here", -- [2]
			"I look pretty good if I do say so myself, and so do I, and so do I, and so do I", -- [3]
			"And so begin the clone wars", -- [4]
			"I'm the real <player>!  No I am!  No I'm the real <player>!  No, no, I'm the original <player>!", -- [5]
		},
		["Channels"] = {
			["Solo"] = "SAY",
			["Party"] = "SAY",
		},
		["DetectedEvent"] = {
			["type"] = "UNIT_SPELLCAST_SENT",
			["name"] = "Mirror Image",
			["rank"] = "",
		},
		["WhisperTarget"] = false,
		["Cooldown"] = 0,
		["Frequency"] = 1,
	},
	["UNIT_SPELLCAST_SENTPORTAL:_STONARD"] = {
		["DisableAnnouncements"] = false,
		["Channels"] = {
			["Raid"] = "RAID",
			["Solo"] = "SAY",
			["Party"] = "PARTY",
		},
		["Messages"] = {
			"Entering this portal will take you to a far away city.", -- [1]
			"Why go to Ironforge when we can summon Ironforge to us? Click to summon the city.", -- [2]
			"Ironforge? Really? Why would you want to go there? Honestly, do you know who LIVES there??", -- [3]
			"Focus <player>, they want to go to Ironforge, not the middle of the ocean, Ironforge...", -- [4]
			"DISCLAIMER: I got my portal license off the AH. Use at your own risk.", -- [5]
			"... Chevron six encoded... Chevron seven LOCKED!", -- [6]
			"Here's your portal. That'll be 2500g please. Hey the reagent isn't cheap... oh wait, yes it is, nevermind.", -- [7]
			"Opening a portal to Stonard. Grab me a phat herb bag full of merry mana pot while you're there, eh?", -- [8]
			"Hurry up and go through the portal. The last person who waited too long lost his arm as it closed.", -- [9]
		},
		["Faction"] = "Horde",
		["DetectedEvent"] = {
			["type"] = "UNIT_SPELLCAST_SENT",
			["name"] = "Portal: Stonard",
			["rank"] = "",
		},
		["WhisperTarget"] = false,
		["Cooldown"] = 0,
		["Frequency"] = 1,
	},
	["UNIT_SPELLCAST_SENTPOLYMORPH"] = {
		["DisableAnnouncements"] = false,
		["Messages"] = {
			"Sheeping <target>", -- [1]
			"<player> is casting polymorph on <target>", -- [2]
			"<target> is getting in touch with his inner spirit animal", -- [3]
			"Bah, <target>", -- [4]
			"Admit it! You only want me to use Polymorph for pulling initial aggro.  Coward!", -- [5]
			"Oh sure, you can't kill <target> fast enough so it falls on me to bend the laws of nature to turn it into a nice docile sheep. Sure, fine, no problem.", -- [6]
			"Well that was sheep number 1567... I should have been a shepherd.", -- [7]
			"1567, 1568, 1569, are you getting sleepy yet after counting all these sheep?", -- [8]
		},
		["Channels"] = {
			["Party"] = "PARTY",
		},
		["DetectedEvent"] = {
			["type"] = "UNIT_SPELLCAST_SENT",
			["name"] = "Polymorph",
			["rank"] = "",
		},
		["WhisperTarget"] = false,
		["Cooldown"] = 0,
		["Frequency"] = 1,
	},
	["UNIT_SPELLCAST_SENTICE_BLOCK"] = {
		["DisableAnnouncements"] = false,
		["Messages"] = {
			"Is it cold in here, or is it just me?", -- [1]
			"I am INVINCIBLE!", -- [2]
			"Ice, ice, baby!", -- [3]
			"Wonder Twin power activate! Form of an ice cube.", -- [4]
			"HELP! I got trapped in a walk-in freezer.", -- [5]
			"Oops, I think I stepped in the hunter's ice trap.", -- [6]
			"Brrrr!", -- [7]
		},
		["Channels"] = {
			["Solo"] = "SAY",
			["Party"] = "SAY",
		},
		["DetectedEvent"] = {
			["type"] = "UNIT_SPELLCAST_SENT",
			["name"] = "Ice Block",
			["rank"] = "",
		},
		["WhisperTarget"] = false,
		["Cooldown"] = 0,
		["Frequency"] = 1,
	},
},
["PRIEST"] = {
	["UNIT_SPELLCAST_SENTRESURRECTION"] = {
		["DisableAnnouncements"] = false,
		["Messages"] = {
			"Rezzing <target>", -- [1]
			"<target>, don't go into the light, return to the land of the living!", -- [2]
			"Rise, <target>, and live again!", -- [3]
			"Get yer lazy bones up, <target>!", -- [4]
			"The hand of God reaches down and brings <target> back to life", -- [5]
			"Granddaddy always said laughter was the best medicine. I guess it wasn't strong enough to keep <target> alive.", -- [6]
			"Arise <target>, and fear death no more; or at least until the next pull.", -- [7]
			"Bring out your dead! *throws <target> on the cart*", -- [8]
			"<target>, quit hitting on the Spirit Healer and come kill something!", -- [9]
			"YAY! I always wanted my very own <target>-zombie!", -- [10]
			"It just so happens that <target> is only MOSTLY dead. There's a big difference between mostly dead and all dead. Mostly dead is slightly alive.", -- [11]
			"<target> has failed at life, I'm giving him a second chance. That's right, not God, ME!!", -- [12]
			"Cool, I received 42 silver, 32 copper from the Corpse of <target>", -- [13]
			"<target>, this better not be another attempt to get me to give you mouth-to-mouth.", -- [14]
			"<target>, it's more mana efficient just to resurrect you.  Haha, I'm just kidding!", -- [15]
			"Well, <target>, if you had higher faction with <player>, you might have gotten a heal. How do you raise it? 1g donation = 15 rep.", -- [16]
			"<target>, by accepting this resurrection you hereby accept that you must forfeit your immortal soul to <player>. Please click 'Accept' to continue.", -- [17]
			"Folks, what we have here is a prime example of why <target> shouldn't tank.", -- [18]
			"Don't rush me <target>. You rush a miracle worker, you get rotten miracles.", -- [19]
			"Death comes for you <target>! With large, pointy teeth!", -- [20]
			"Resurrecting <target>. Side effects may include: nausea, explosive bowels, a craving for brains, and erectile dysfunction. Resurrection is not for everyone. Please consult a healer before dying.", -- [21]
			"Dammit <target>, I'm a doctor! Not a priest! ... Wait a second ... nevermind. Ressing <target>", -- [22]
			"... death defying feats are clearly not your strong point, <target>", -- [23]
			"Giving <target> another chance to noob it up. ", -- [24]
			"Hey <target>, can you check to see if Elvis is really dead? ... and can he fill your spot in the party?", -- [25]
			"<target> I *warned* you, but did you listen to me? Oh, no, you *knew*, didn't you? Oh, it's just a harmless little *bunny*, isn't it?", -- [26]
			"Tsk tsk, <target>. See, I told you to sacrifice that virgin to the Volcano God.", -- [27]
			"You don't deserve a cute rez macro, <target>. You deserve to die. But you already did, so, um... yeah.", -- [28]
			"Sorry <target>, I couldn't heal you. I was too busy being the tank.", -- [29]
			"Did it hurt, <target>, when you fell from Heaven? Oh, wait. You're dead. I don't know where I was going with that. Nevermind.", -- [30]
		},
		["Channels"] = {
			["Party"] = "PARTY",
			["Raid"] = "RAID",
			["Solo"] = "SAY",
			["BG"] = "BATTLEGROUND",
		},
		["DetectedEvent"] = {
			["type"] = "UNIT_SPELLCAST_SENT",
			["name"] = "Resurrection",
			["rank"] = "",
		},
		["WhisperTarget"] = false,
		["Cooldown"] = 0,
		["Frequency"] = 1,
	},
	["UNIT_SPELLCAST_SENTDESPERATE_PRAYER"] = {
		["DisableAnnouncements"] = false,
		["Messages"] = {
			"Help me, Lord!", -- [1]
			"Dear Lord, I promise to be a better priest if you help <target> live another day.", -- [2]
			"Pater noster, qui es in caelis; Sanctificetur nomen tuum; Adveniat regnum tuum; Fiat voluntas tua, sicut in caelo, et in terra.", -- [3]
		},
		["Channels"] = {
			["Party"] = "PARTY",
			["Raid"] = "RAID",
			["Solo"] = "SAY",
			["BG"] = "BATTLEGROUND",
		},
		["DetectedEvent"] = {
			["type"] = "UNIT_SPELLCAST_SENT",
			["name"] = "Desperate Prayer",
			["rank"] = "",
		},
		["WhisperTarget"] = false,
		["Cooldown"] = 0,
		["Frequency"] = 1,
	},
},
["WARLOCK"] = {
	["UNIT_SPELLCAST_SENTSOULSTONE_RESURRECTION"] = {
		["DisableAnnouncements"] = false,
		["Messages"] = {
			"It's OK if we all die.  <target> has a soul stone", -- [1]
			"<target> is stoned... whoa, heavy", -- [2]
			"If you cherish the idea of a mass suicide, <target> can now self-resurrect, so all should be fine. Go ahead.", -- [3]
			"<target> can go afk to drink a cup of coffee or something, soulstone is in place to allow for the wipe...", -- [4]
			"<target> is soulstoned... full of confidence tonight aren't we?!", -- [5]
		},
		["Channels"] = {
			["Party"] = "PARTY",
			["Raid"] = "RAID",
			["Solo"] = "SAY",
			["BG"] = "BATTLEGROUND",
		},
		["DetectedEvent"] = {
			["type"] = "UNIT_SPELLCAST_SENT",
			["name"] = "Soulstone Resurrection",
			["rank"] = "",
		},
		["WhisperTarget"] = true,
		["Cooldown"] = 0,
		["Frequency"] = 1,
	},
	["UNIT_SPELLCAST_SENTRITUAL_OF_SUMMONING"] = {
		["DisableAnnouncements"] = false,
		["Messages"] = {
			"Summoning <target> The Lazy, click to assist please", -- [1]
			"If you click on the portal, someone named <target> will show up and do your job for you.", -- [2]
			"Unscheduled off-world activation!", -- [3]
			"Step on board the Arcanum Taxi Cab! I am summoning <target>, please click on the portal.", -- [4]
			"Welcome aboard, <target>, you are flying on the ~Succubus Air Lines~ to <player>...", -- [5]
			"If you do not want a sprawling, phlegm-looking, asthmatic creature to come from this portal, click on it to help <target> find a path through Hell as quickly as possible!", -- [6]
			"Conjuring an Arcane Taxi Cab for <target>, please click the portal for the slacker please.", -- [7]
		},
		["Channels"] = {
			["Party"] = "PARTY",
			["Raid"] = "RAID",
			["Solo"] = "SAY",
			["BG"] = "BATTLEGROUND",
		},
		["DetectedEvent"] = {
			["type"] = "UNIT_SPELLCAST_SENT",
			["name"] = "Ritual Of Summoning",
			["rank"] = "",
		},
		["WhisperTarget"] = true,
		["Cooldown"] = 0,
		["Frequency"] = 1,
	},
	["UNIT_SPELLCAST_SENTRITUAL_OF_SOULS"] = {
		["DisableAnnouncements"] = false,
		["Messages"] = {
			"Lock Candy! Get your lock candy here!", -- [1]
			"Mmmm cookies...", -- [2]
			"The green portal is better than the white one, click mine first!", -- [3]
			"Click for hearthstones... oh no no not the ones that send you home, i mean the ones that give you health... stupid typo", -- [4]
		},
		["Channels"] = {
			["Party"] = "PARTY",
			["Raid"] = "RAID",
			["Solo"] = "SAY",
			["BG"] = "BATTLEGROUND",
		},
		["DetectedEvent"] = {
			["type"] = "UNIT_SPELLCAST_SENT",
			["name"] = "Ritual Of Souls",
			["rank"] = "",
		},
		["WhisperTarget"] = false,
		["Cooldown"] = 0,
		["Frequency"] = 1,
	},
},
["ROGUE"] = {
	["UNIT_SPELLCAST_SENT전력_질주"] = {
		["DisableAnnouncements"] = false,
		["Messages"] = {
			"<마법링크>다!~ 전나게 달려보자!~", -- [1]
			"Go speed racer, go!", -- [2]
			"lol have fun with the mob, moron, I'm saving my own skin!", -- [3]
			"Run away! Run away!", -- [4]
			"Brave Sir Robin ran away, he bravely ran away away!", -- [5]
			"I am the fastest mouse in all of Mehico! Arriba! Arriba! Ándale! Ándale!", -- [6]
			"Sorry if I'm moving too fast for you baby, but this is how I roll", -- [7]
		},
		["Channels"] = {
			["Solo"] = "SAY",
			["Party"] = "SAY",
		},
		["DetectedEvent"] = {
			["type"] = "UNIT_SPELLCAST_SENT",
			["name"] = "전력 질주",
			["rank"] = "",
		},
		["WhisperTarget"] = false,
		["Cooldown"] = 0,
		["Frequency"] = 1,
	},
	["UNIT_SPELLCAST_SENT회피"] = {
		["DisableAnnouncements"] = false,
		["Messages"] = {
			"Ha ha you can't touch me!", -- [1]
			"Float like a butterfly - sting like a bee!", -- [2]
			"Evade... Evade... Evade... why isn't this giving me full health like it does for mobs?", -- [3]
		},
		["Channels"] = {
			["Solo"] = "SAY",
			["Party"] = "SAY",
		},
		["DetectedEvent"] = {
			["type"] = "UNIT_SPELLCAST_SENT",
			["name"] = "회피",
			["rank"] = "",
		},
		["WhisperTarget"] = false,
		["Cooldown"] = 0,
		["Frequency"] = 1,
	},
	["UNIT_SPELLCAST_SENT소멸"] = {
		["DisableAnnouncements"] = false,
		["Messages"] = {
			"Now you see me, now you don't", -- [1]
			"Now where was I? Ah yes...", -- [2]
			"Repair costs? What's that? I'm a rogue", -- [3]
			"A little vanishing cream for the rouge, maybe some eye liner...", -- [4]
		},
		["Channels"] = {
			["Solo"] = "SAY",
			["Party"] = "SAY",
		},
		["DetectedEvent"] = {
			["type"] = "UNIT_SPELLCAST_SENT",
			["name"] = "소멸",
			["rank"] = "",
		},
		["WhisperTarget"] = false,
		["Cooldown"] = 0,
		["Frequency"] = 1,
	},
	["UNIT_SPELLCAST_SENT속임수_거래"] = {
		["DisableAnnouncements"] = false,
		["Messages"] = {
			"[<대상>]님께 <마법링크>들어갑니다!~", -- [1]
			"[<대상>]님! <마법링크>먹고 어글 팍팍드삼!~", -- [2]
			"[<대상>]님아!~ <마법링크>받고 어글이 뭔지 보여주세요!~", -- [3]
			"[<대상>]님! <마법링크>때문에 행복하시죠? ㅋㅋㅋ", -- [4]
		},
		["Channels"] = {
			["Solo"] = "SAY",
			["Party"] = "SAY",
		},
		["DetectedEvent"] = {
			["type"] = "UNIT_SPELLCAST_SENT",
			["name"] = "속임수 거래",
			["rank"] = "",
		},
		["WhisperTarget"] = false,
		["Cooldown"] = 0,
		["Frequency"] = 1,
	},
	["UNIT_SPELLCAST_SENT발차기"] = {
		["DisableAnnouncements"] = false,
		["Messages"] = {
			"<마법링크>했어!~ 마법쓰지마!~ 콱!~", -- [1]
			"<마법링크>했더니 가랭이가 찢어졌네!~ ㅠ.ㅠ", -- [2]
			"니들이 <마법링크>를 알어? 가랭이가 찢어지는 고통을..ㅠ.ㅠ", -- [3]
			"<마법링크>했습니다!~ 다음분!~~", -- [4]
		},
		["Channels"] = {
			["Solo"] = "SAY",
			["Party"] = "SAY",
		},
		["DetectedEvent"] = {
			["type"] = "UNIT_SPELLCAST_SENT",
			["name"] = "발차기",
			["rank"] = "",
		},
		["WhisperTarget"] = false,
		["Cooldown"] = 0,
		["Frequency"] = 1,
	},
},
["DRUID"] = {
	["UNIT_SPELLCAST_SENTREVIVE"] = {
		["DisableAnnouncements"] = false,
		["Messages"] = {
			"Rezzing <target>", -- [1]
			"<target>, don't go into the light, return to the land of the living!", -- [2]
			"Rise, <target>, and live again!", -- [3]
			"Get yer lazy bones up, <target>!", -- [4]
			"The hand of God reaches down and brings <target> back to life", -- [5]
			"Granddaddy always said laughter was the best medicine. I guess it wasn't strong enough to keep <target> alive.", -- [6]
			"Arise <target>, and fear death no more; or at least until the next pull.", -- [7]
			"Bring out your dead! *throws <target> on the cart*", -- [8]
			"<target>, quit hitting on the Spirit Healer and come kill something!", -- [9]
			"YAY! I always wanted my very own <target>-zombie!", -- [10]
			"It just so happens that <target> is only MOSTLY dead. There's a big difference between mostly dead and all dead. Mostly dead is slightly alive.", -- [11]
			"<target> has failed at life, I'm giving him a second chance. That's right, not God, ME!!", -- [12]
			"Cool, I received 42 silver, 32 copper from the Corpse of <target>", -- [13]
			"<target>, this better not be another attempt to get me to give you mouth-to-mouth.", -- [14]
			"<target>, it's more mana efficient just to resurrect you.  Haha, I'm just kidding!", -- [15]
			"Well, <target>, if you had higher faction with <player>, you might have gotten a heal. How do you raise it? 1g donation = 15 rep.", -- [16]
			"<target>, by accepting this resurrection you hereby accept that you must forfeit your immortal soul to <player>. Please click 'Accept' to continue.", -- [17]
			"Folks, what we have here is a prime example of why <target> shouldn't tank.", -- [18]
			"Don't rush me <target>. You rush a miracle worker, you get rotten miracles.", -- [19]
			"Death comes for you <target>! With large, pointy teeth!", -- [20]
			"Resurrecting <target>. Side effects may include: nausea, explosive bowels, a craving for brains, and erectile dysfunction. Resurrection is not for everyone. Please consult a healer before dying.", -- [21]
			"Dammit <target>, I'm a doctor! Not a priest! ... Wait a second ... nevermind. Ressing <target>", -- [22]
			"... death defying feats are clearly not your strong point, <target>", -- [23]
			"Giving <target> another chance to noob it up. ", -- [24]
			"Hey <target>, can you check to see if Elvis is really dead? ... and can he fill your spot in the party?", -- [25]
			"<target> I *warned* you, but did you listen to me? Oh, no, you *knew*, didn't you? Oh, it's just a harmless little *bunny*, isn't it?", -- [26]
			"Tsk tsk, <target>. See, I told you to sacrifice that virgin to the Volcano God.", -- [27]
			"You don't deserve a cute rez macro, <target>. You deserve to die. But you already did, so, um... yeah.", -- [28]
			"Sorry <target>, I couldn't heal you. I was too busy being the tank.", -- [29]
			"Did it hurt, <target>, when you fell from Heaven? Oh, wait. You're dead. I don't know where I was going with that. Nevermind.", -- [30]
		},
		["Channels"] = {
			["Party"] = "PARTY",
			["Raid"] = "RAID",
			["Solo"] = "SAY",
			["BG"] = "BATTLEGROUND",
		},
		["DetectedEvent"] = {
			["type"] = "UNIT_SPELLCAST_SENT",
			["name"] = "Revive",
			["rank"] = "",
		},
		["WhisperTarget"] = true,
		["Cooldown"] = 0,
		["Frequency"] = 1,
	},
	["UNIT_SPELLCAST_SENTREBIRTH"] = {
		["DisableAnnouncements"] = false,
		["Messages"] = {
			"Rezzing <target>", -- [1]
			"<target>, don't go into the light, return to the land of the living!", -- [2]
			"Rise, <target>, and live again!", -- [3]
			"Get yer lazy bones up, <target>!", -- [4]
			"The hand of God reaches down and brings <target> back to life", -- [5]
			"Granddaddy always said laughter was the best medicine. I guess it wasn't strong enough to keep <target> alive.", -- [6]
			"Arise <target>, and fear death no more; or at least until the next pull.", -- [7]
			"Bring out your dead! *throws <target> on the cart*", -- [8]
			"<target>, quit hitting on the Spirit Healer and come kill something!", -- [9]
			"YAY! I always wanted my very own <target>-zombie!", -- [10]
			"It just so happens that <target> is only MOSTLY dead. There's a big difference between mostly dead and all dead. Mostly dead is slightly alive.", -- [11]
			"<target> has failed at life, I'm giving him a second chance. That's right, not God, ME!!", -- [12]
			"Cool, I received 42 silver, 32 copper from the Corpse of <target>", -- [13]
			"<target>, this better not be another attempt to get me to give you mouth-to-mouth.", -- [14]
			"<target>, it's more mana efficient just to resurrect you.  Haha, I'm just kidding!", -- [15]
			"Well, <target>, if you had higher faction with <player>, you might have gotten a heal. How do you raise it? 1g donation = 15 rep.", -- [16]
			"<target>, by accepting this resurrection you hereby accept that you must forfeit your immortal soul to <player>. Please click 'Accept' to continue.", -- [17]
			"Folks, what we have here is a prime example of why <target> shouldn't tank.", -- [18]
			"Don't rush me <target>. You rush a miracle worker, you get rotten miracles.", -- [19]
			"Death comes for you <target>! With large, pointy teeth!", -- [20]
			"Resurrecting <target>. Side effects may include: nausea, explosive bowels, a craving for brains, and erectile dysfunction. Resurrection is not for everyone. Please consult a healer before dying.", -- [21]
			"Dammit <target>, I'm a doctor! Not a priest! ... Wait a second ... nevermind. Ressing <target>", -- [22]
			"... death defying feats are clearly not your strong point, <target>", -- [23]
			"Giving <target> another chance to noob it up. ", -- [24]
			"Hey <target>, can you check to see if Elvis is really dead? ... and can he fill your spot in the party?", -- [25]
			"<target> I *warned* you, but did you listen to me? Oh, no, you *knew*, didn't you? Oh, it's just a harmless little *bunny*, isn't it?", -- [26]
			"Tsk tsk, <target>. See, I told you to sacrifice that virgin to the Volcano God.", -- [27]
			"You don't deserve a cute rez macro, <target>. You deserve to die. But you already did, so, um... yeah.", -- [28]
			"Sorry <target>, I couldn't heal you. I was too busy being the tank.", -- [29]
			"Did it hurt, <target>, when you fell from Heaven? Oh, wait. You're dead. I don't know where I was going with that. Nevermind.", -- [30]
		},
		["Channels"] = {
			["Party"] = "PARTY",
			["Raid"] = "RAID",
			["Solo"] = "SAY",
			["BG"] = "BATTLEGROUND",
		},
		["DetectedEvent"] = {
			["type"] = "UNIT_SPELLCAST_SENT",
			["name"] = "Rebirth",
			["rank"] = "",
		},
		["WhisperTarget"] = true,
		["Cooldown"] = 0,
		["Frequency"] = 1,
	},
},
["DEATHKNIGHT"] = {
	["UNIT_SPELLCAST_SENTRAISE_DEAD"] = {
		["DisableAnnouncements"] = false,
		["Messages"] = {
			"It's alive... ALIVE!!!", -- [1]
			"Rise, my undead puppet, and do my bidding!", -- [2]
		},
		["Channels"] = {
			["Solo"] = "SAY",
			["Party"] = "SAY",
		},
		["DetectedEvent"] = {
			["type"] = "UNIT_SPELLCAST_SENT",
			["name"] = "Raise Dead",
			["rank"] = "",
		},
		["WhisperTarget"] = false,
		["Cooldown"] = 0,
		["Frequency"] = 1,
	},
	["UNIT_SPELLCAST_SENTDEATH_GRIP"] = {
		["DisableAnnouncements"] = false,
		["Messages"] = {
			"Get over here, <target>!", -- [1]
			"Hey <target>, let go of my yo-yo!", -- [2]
		},
		["Channels"] = {
			["Solo"] = "SAY",
			["Party"] = "SAY",
		},
		["DetectedEvent"] = {
			["type"] = "UNIT_SPELLCAST_SENT",
			["name"] = "Death Grip",
			["rank"] = "",
		},
		["WhisperTarget"] = false,
		["Cooldown"] = 0,
		["Frequency"] = 1,
	},
},
["SHAMAN"] = {
	["UNIT_SPELLCAST_SENTANCESTRAL_SPIRIT"] = {
		["DisableAnnouncements"] = false,
		["Messages"] = {
			"Rezzing <target>", -- [1]
			"<target>, don't go into the light, return to the land of the living!", -- [2]
			"Rise, <target>, and live again!", -- [3]
			"Get yer lazy bones up, <target>!", -- [4]
			"The hand of God reaches down and brings <target> back to life", -- [5]
			"Granddaddy always said laughter was the best medicine. I guess it wasn't strong enough to keep <target> alive.", -- [6]
			"Arise <target>, and fear death no more; or at least until the next pull.", -- [7]
			"Bring out your dead! *throws <target> on the cart*", -- [8]
			"<target>, quit hitting on the Spirit Healer and come kill something!", -- [9]
			"YAY! I always wanted my very own <target>-zombie!", -- [10]
			"It just so happens that <target> is only MOSTLY dead. There's a big difference between mostly dead and all dead. Mostly dead is slightly alive.", -- [11]
			"<target> has failed at life, I'm giving him a second chance. That's right, not God, ME!!", -- [12]
			"Cool, I received 42 silver, 32 copper from the Corpse of <target>", -- [13]
			"<target>, this better not be another attempt to get me to give you mouth-to-mouth.", -- [14]
			"<target>, it's more mana efficient just to resurrect you.  Haha, I'm just kidding!", -- [15]
			"Well, <target>, if you had higher faction with <player>, you might have gotten a heal. How do you raise it? 1g donation = 15 rep.", -- [16]
			"<target>, by accepting this resurrection you hereby accept that you must forfeit your immortal soul to <player>. Please click 'Accept' to continue.", -- [17]
			"Folks, what we have here is a prime example of why <target> shouldn't tank.", -- [18]
			"Don't rush me <target>. You rush a miracle worker, you get rotten miracles.", -- [19]
			"Death comes for you <target>! With large, pointy teeth!", -- [20]
			"Resurrecting <target>. Side effects may include: nausea, explosive bowels, a craving for brains, and erectile dysfunction. Resurrection is not for everyone. Please consult a healer before dying.", -- [21]
			"Dammit <target>, I'm a doctor! Not a priest! ... Wait a second ... nevermind. Ressing <target>", -- [22]
			"... death defying feats are clearly not your strong point, <target>", -- [23]
			"Giving <target> another chance to noob it up. ", -- [24]
			"Hey <target>, can you check to see if Elvis is really dead? ... and can he fill your spot in the party?", -- [25]
			"<target> I *warned* you, but did you listen to me? Oh, no, you *knew*, didn't you? Oh, it's just a harmless little *bunny*, isn't it?", -- [26]
			"Tsk tsk, <target>. See, I told you to sacrifice that virgin to the Volcano God.", -- [27]
			"You don't deserve a cute rez macro, <target>. You deserve to die. But you already did, so, um... yeah.", -- [28]
			"Sorry <target>, I couldn't heal you. I was too busy being the tank.", -- [29]
			"Did it hurt, <target>, when you fell from Heaven? Oh, wait. You're dead. I don't know where I was going with that. Nevermind.", -- [30]
		},
		["Channels"] = {
			["Party"] = "PARTY",
			["Raid"] = "RAID",
			["Solo"] = "SAY",
			["BG"] = "BATTLEGROUND",
		},
		["DetectedEvent"] = {
			["type"] = "UNIT_SPELLCAST_SENT",
			["name"] = "Ancestral Spirit",
			["rank"] = "",
		},
		["WhisperTarget"] = true,
		["Cooldown"] = 0,
		["Frequency"] = 1,
	},
},
}
	